# Product for Transfer Not Found & Wrong Product Command

## <mark style="color:red;">Actors</mark>​ <a href="#actors" id="actors"></a>

* Akinon Order Management System (OMS)
* Integrated Application (ERP)

## <mark style="color:red;">Domain Objects​</mark> <a href="#domain-objects" id="domain-objects"></a>

* Packaging Order
* Transfer Order
* OMS Command (Packaging Order Command)
* Packaging Rule
* Transfer Scenario

### <mark style="color:red;">Process</mark>​ <a href="#process" id="process"></a>

1. The OMS application copies orders from the Akinon Omnitron Application to itself to prepare delivery/distribution plans, generate packaging orders and transfer them to operation points.
2. If the products in the order have the Transferable feature enabled in any of the Packaging Rules in the distribution scenario, Transfer Orders are generated to send the missing products from different operation points to the package dispatch location by running the Transfer Scenario.
3. Transfer order(s) are associated with Packaging Orders and with the order indirectly by marking the destination point as the customer’s shipping location, and the starting point as the stock location.
4. When the product in the Transfer Order assigned to the Store/Warehouse is not available (insufficient stock) or the product is not suitable for shipping, the store employee informs the OMS using the Instore screens. If there is no Instore application, the command is run with OMS command services via the integrated software.
5. The Transfer Order marked as “not found” is rescheduled by running the Transfer Scenario rules within the same transaction, and a different Transfer Order is created. This Transfer Order is learned by listening to the events of the OMS Transfers (OMS Webhooks).
6. This command can only be run when the relevant Transfer Order is in the Waiting status. Running it in any of the In Transit, Ready for Shipment and Transferred statuses will trigger an error.

### <mark style="color:red;">Command Parameters and Prerequisites​</mark> <a href="#command-parameters-and-prerequisites" id="command-parameters-and-prerequisites"></a>

For each Transfer Order:

| Parameter             | Parameter Name | Parameter Type | Parameter Description                         | Requirement                                |
| --------------------- | -------------- | -------------- | --------------------------------------------- | ------------------------------------------ |
| Transfer Order ID     | transfer       | integer        | Dynamic for each order                        | Mandatory                                  |
| Command Transition ID | transition     | integer        | Prepared and reported during OMS installation | Optional if slug is given                  |
| Slug                  | slug           | slug           | Unique slug for stste transition              | Optional if Command Transition ID is given |

***

### <mark style="color:red;">`POST`</mark> <mark style="color:red;">Product for Transfer Not Found & Wrong Product​</mark> <a href="#post-product-for-transfer-not-found--wrong-product" id="post-product-for-transfer-not-found--wrong-product"></a>

**Path:** `https://{customer_api_url}-oms.akinon.net/api/v1/oms/transfer_orders/<transferOrder_id>/command/`

**Request Body​**

```
{
  "transition": <XXX>, 
  "slug": SSS,
  "transfer_order": <TRANSFER_ORDER>
}
```

**Successful Response​**

**Status Code:** `204 No Content`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akinon.com/technical-guides/oms/commands/transfer/product-for-transfer-not-found-and-wrong-product-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
